<?php include_once "../../autoload.php";

$acao = $_POST["acao"];
unset($_POST["acao"]);
$data = new Participante();

// Todos os dados
$data->dados($_POST);

// if ($acao != "excluir") {
// 	$data->participante_cpf = Funcao::ConvertToInt($data->participante_cpf);
// }

switch ($acao) {
	case 'cadastrar':
		// Dados que precisam de conversões
		$data->participante_cpf = Funcao::ConvertToInt($data->participante_cpf);
		if (!Funcao::isMd5($data->participante_senha)) {
			$data->participante_data_cadastro = date('Y-m-d H:i:s');
			$data->participante_senha = md5($data->participante_senha);
		}


		if ($data->cadastrar()) {
			Mensagem::feedback("Sucesso", "Cadastro realizado com sucesso", 1);
		}
		break;
		// =====================================================================//
	case 'editar':
		// Dados que precisam de conversões
		$data->participante_cpf = Funcao::ConvertToInt($data->participante_cpf);
		if (!Funcao::isMd5($data->participante_senha)) {
			$data->participante_senha = md5($data->participante_senha);
		}


		if ($data->alterar()) {
			Mensagem::feedback("Sucesso", "Cadastro alterado com sucesso", 2);
		}
		break;
		// =====================================================================//	
	case 'excluir':
		if ($data->excluir()) {
			Mensagem::feedback("Sucesso", "Cadastro excluido com sucesso", 3);
		}
		break;

	default:
		Mensagem::feedback("Erro", "Ação do Forulario não encontrada");
		break;
}
